%define name pavuk
%define version 0.9pl28
%define release 1mdk

Summary: Pavuk WWW Graber
Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/WWW
Source: %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://www.idata.sk/~ondrej/pavuk/

%description
WWW graber used to mirror files located on HTTP, HTTPS, FTP, Gopher servers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure --with-x

%make

%install

make DESTDIR=$RPM_BUILD_ROOT install


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/pavuk -X"\
title="Pavuk"\
longtitle="WWW file grabber"\
needs="x11"\
section="Networking/WWW"
EOF
)
 
%find_lang %name
 
%post
%update_menus
  
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README INSTALL BUGS TODO CREDITS 
%doc pavukrc.sample pavuk_authinfo.sample pavuk.lsm pavuk.spec pavuk.desktop po/pavuk.pot MAILINGLIST wget-pavuk.HOWTO button_icons/
%_bindir/*
%_datadir/icons/*.xpm
%_mandir/man1/*
%_datadir/pixmaps/*.xpm
%_menudir/*

%changelog 
* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl28-1mdk
- updated to 9pl28

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl27-2mdk
- rebuild

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl27-1mdk
- updated to 0.9pl27

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9pl26-1mdk
- new in contribs
